global:
  appName: treenity
  namespace: default
  debug: "FALSE"
  pullKey:

db:
  local: false
  image: postgres:17
  mountPath: /var/lib/pg
  volumeSize: 50Gi
  backup:
    enable: false
    schedule: "0 0 * * *"
    s3:
      image: "amazon/aws-cli:2.15.47"
      bucketName: ""
      region: ""
      defaultRegion: ""
      accessKeyId: ""
      secretAccessKey: ""
  postgres:
    name: treenity
    user: treenity
    host: postgres
    password: "123456"
    port: "5432"

s3:
  enable: true
  bucketName: ""
  region: ""
  defaultRegion: ""
  accessKeyId: ""
  secretAccessKey: ""

nats:
  enabled: false
  image: nats:2.10-alpine3.20
  service:
    name: nats
    type: NodePort
  resources:
    limits:
      cpu: "1"
      memory: 512Mi
    requests:
      cpu: 100m
      memory: 256Mi

redis:
  serviceType: NodePort
  image: redis:alpine
  service:
    name: redis
    port: 6379
  volume:
    use: false
    size: 50Gi

translateMs:
  enabled: false
  image: registry.gitlab.com/locus2/go-translate-ms:v2.1.1
  autoTranslate: FALSE
  service:
    type: NodePort
    grpcPort: 2037
    httpPort: 2006

shortLinkMs:
  enabled: false
  image: registry.gitlab.com/locus2/go-short-links:v1.1.0
  service:
    type: NodePort
    httpPort: 2012

securityMs:
  enabled: false
  image: registry.gitlab.com/locus2/go-security-ms:v3.2.0
  defaultHandler: "auth"
  issuer: Treenity
  service:
    type: NodePort
    httpPort: 2014

requestMs:
  enabled: false
  image: registry.gitlab.com/locus2/go-request-ms:v1.4.1
  service:
    type: NodePort
    httpPort: 2025

accountsMs:
  enabled: false
  image: registry.gitlab.com/locus2/go-account-ms:v3.2.0
  service:
    type: NodePort
    httpPort: 2035

notifyMs:
  enabled: false
  image: registry.gitlab.com/locus2/go-notification-ms:v2.0.1
  cacheTtl: 3600000
  service:
    type: NodePort
    httpPort: 2002
    grpcPort: 2003

fileMs:
  enabled: false
  image: registry.gitlab.com/locus2/go-file-s3-storage:v2.4.0
  settings:
    path: /data/assets
    maxSize: 1920
    minSize: 40
    storage: 5Gi
  service:
    type: NodePort
    httpPort: 2004

mongoDb:
  enabled: false
  image: mongo:7
  volumeSize: 50Gi
  cred:
    name: treenity
    user: treenity
    host: mongodb
    role: "readWrite"
    password: "123456"
  service:
    type: NodePort
    httpPort: 27017
